# Interface TestLoggingContainer

All Superinterfaces:
  `TestLogging`

public interface TestLoggingContainer extends TestLogging
Container for all test logging related options. Different options can be set for each log level. Options that are set directly (without specifying a log level) apply to log level LIFECYCLE. Example:

    apply plugin: 'java'

    test {
        testLogging {
            // set options for log level LIFECYCLE
            events "failed"
            exceptionFormat "short"

            // set options for log level DEBUG
            debug {
                events "started", "skipped", "failed"
                exceptionFormat "full"
            }

            // remove standard output/error logging from --info builds
            // by assigning only 'failed' and 'skipped' events
            info.events = ["failed", "skipped"]
        }
    }

The defaults that are in place show progressively more information on log levels WARN, LIFECYCLE, INFO, and DEBUG, respectively.

## Method Summary

Modifier and Type
Method
Description
`void`
`debug(Action<TestLogging> action)`
Configures logging options for debug level.
`void`
`error(Action<TestLogging> action)`
Configures logging options for error level.
`TestLogging`
`get(LogLevel level)`
Returns logging options for the specified level.
`TestLogging`
`getDebug()`
Returns logging options for debug level.
`TestLogging`
`getError()`
Returns logging options for error level.
`TestLogging`
`getInfo()`
Gets logging options for info level.
`TestLogging`
`getLifecycle()`
Returns logging options for lifecycle level.
`TestLogging`
`getQuiet()`
Returns logging options for quiet level.
`TestLogging`
`getWarn()`
Gets logging options for warn level.
`void`
`info(Action<TestLogging> action)`
Configures logging options for info level.
`void`
`lifecycle(Action<TestLogging> action)`
Configures logging options for lifecycle level.
`void`
`quiet(Action<TestLogging> action)`
Configures logging options for quiet level.
`void`
`setDebug(TestLogging logging)`
Sets logging options for debug level.
`void`
`setError(TestLogging logging)`
Sets logging options for error level.
`void`
`setInfo(TestLogging logging)`
Sets logging options for info level.
`void`
`setLifecycle(TestLogging logging)`
Sets logging options for lifecycle level.
`void`
`setQuiet(TestLogging logging)`
Sets logging options for quiet level.
`void`
`setWarn(TestLogging logging)`
Sets logging options for warn level.
`void`
`warn(Action<TestLogging> action)`
Configures logging options for warn level.

### Methods inherited from interface TestLogging

`events, getDisplayGranularity, getEvents, getExceptionFormat, getMaxGranularity, getMinGranularity, getShowCauses, getShowExceptions, getShowStackTraces, getShowStandardStreams, getStackTraceFilters, setDisplayGranularity, setEvents, setEvents, setExceptionFormat, setExceptionFormat, setMaxGranularity, setMinGranularity, setShowCauses, setShowExceptions, setShowStackTraces, setShowStandardStreams, setStackTraceFilters, setStackTraceFilters, stackTraceFilters`

## Method Details

### getDebug

TestLogging getDebug()
Returns logging options for debug level.

Returns:
  logging options for debug level

### setDebug

void setDebug(TestLogging logging)
Sets logging options for debug level.

Parameters:
  `logging` - logging options for debug level

### debug

void debug(Action<TestLogging> action)
Configures logging options for debug level.

Parameters:
  `action` - logging options for debug level

### getInfo

TestLogging getInfo()
Gets logging options for info level.

Returns:
  logging options for info level

### setInfo

void setInfo(TestLogging logging)
Sets logging options for info level.

Parameters:
  `logging` - logging options for info level

### info

void info(Action<TestLogging> action)
Configures logging options for info level.

Parameters:
  `action` - logging options for info level

### getLifecycle

TestLogging getLifecycle()
Returns logging options for lifecycle level.

Returns:
  logging options for lifecycle level

### setLifecycle

void setLifecycle(TestLogging logging)
Sets logging options for lifecycle level.

Parameters:
  `logging` - logging options for lifecycle level

### lifecycle

void lifecycle(Action<TestLogging> action)
Configures logging options for lifecycle level.

Parameters:
  `action` - logging options for lifecycle level

### getWarn

TestLogging getWarn()
Gets logging options for warn level.

Returns:
  logging options for warn level

### setWarn

void setWarn(TestLogging logging)
Sets logging options for warn level.

Parameters:
  `logging` - logging options for warn level

### warn

void warn(Action<TestLogging> action)
Configures logging options for warn level.

Parameters:
  `action` - logging options for warn level

### getQuiet

TestLogging getQuiet()
Returns logging options for quiet level.

Returns:
  logging options for quiet level

### setQuiet

void setQuiet(TestLogging logging)
Sets logging options for quiet level.

Parameters:
  `logging` - logging options for quiet level

### quiet

void quiet(Action<TestLogging> action)
Configures logging options for quiet level.

Parameters:
  `action` - logging options for quiet level

### getError

TestLogging getError()
Returns logging options for error level.

Returns:
  logging options for error level

### setError

void setError(TestLogging logging)
Sets logging options for error level.

Parameters:
  `logging` - logging options for error level

### error

void error(Action<TestLogging> action)
Configures logging options for error level.

Parameters:
  `action` - logging options for error level

### get

TestLogging get(LogLevel level)
Returns logging options for the specified level.

Parameters:
  `level` - the level whose logging options are to be returned
Returns:
  logging options for the specified level